Bug 192387 - [PATCH] databases/postgresql91-server: missing OSSP_UUID option
Summary: [PATCH] databases/postgresql91-server: missing OSSP_UUID option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: pgsql
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-05 02:31 UTC by Dmitry Marakasov
Modified: 2016-01-31 13:37 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-08-05 02:31:19 UTC
postgresql91-server and postgresql92-server have conditionals which
depend in OSSP_UUID option, however this option is not listed in
OPTIONS_DEFINE.

Port maintainer (pgsql@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)

Fix:
begin 644 postgresql91-server-9.1.14.patch
`
end
Comment 1 John Marino freebsd_committer 2014-08-05 06:09:32 UTC
over to maintainer
Comment 2 commit-hook freebsd_committer 2016-01-13 10:36:34 UTC
A commit references this bug:

Author: girgen
Date: Wed Jan 13 10:36:23 UTC 2016
New revision: 406034
URL: https://svnweb.freebsd.org/changeset/ports/406034

Log:
  Some binaries where moved from contrib to base in 9.5, like pgbench and
  pg_upgrade. Other where added in 9.5, but the port failed to install them.
  Make sure they are properly installed by the correct port (-client or -server) [1]

  Remove unused and hence confusing OSSP_UUID parameters from Makefile [2]

  Add options to allow user to be set for the backup script in periodic.
  Add this option only to 9.5 for now. It will be updated to other servers at
  next regular patch release. [3]

  The path to perl in hard coded into pgxs/src/Makefile.global which is
  then installed. Hence, we must depend on perl when that file is installed.

  Noticed by:	Paul Guyot [1]
  PR:		192387 [2]
  PR:		172110 [3]
  PR:		206046 [4]

Changes:
  head/databases/postgresql90-client/Makefile
  head/databases/postgresql91-client/Makefile
  head/databases/postgresql91-server/Makefile
  head/databases/postgresql92-client/Makefile
  head/databases/postgresql92-server/Makefile
  head/databases/postgresql93-client/Makefile
  head/databases/postgresql94-client/Makefile
  head/databases/postgresql95-client/Makefile
  head/databases/postgresql95-contrib/Makefile
  head/databases/postgresql95-server/Makefile
  head/databases/postgresql95-server/files/502.pgsql.in
  head/databases/postgresql95-server/pkg-plist-client
  head/databases/postgresql95-server/pkg-plist-server
Comment 3 Palle Girgensohn freebsd_committer 2016-01-13 10:39:57 UTC
Removed superfluous and unused OSSD_UUID knobs. uuid is in libc since April 2014
Comment 4 commit-hook freebsd_committer 2016-01-31 13:37:32 UTC
A commit references this bug:

Author: girgen
Date: Sun Jan 31 13:36:48 UTC 2016
New revision: 407633
URL: https://svnweb.freebsd.org/changeset/ports/407633

Log:
  MFH: r406034 (partly)

  Remove unused and hence confusing OSSP_UUID parameters from Makefile [2]

  The path to perl in hard coded into pgxs/src/Makefile.global which is
  then installed. Hence, we must depend on perl when that file is installed.

  PR:		192387 [2]
  PR:		206046 [4]
  Approved by:	portmgr

Changes:
_U  branches/2016Q1/
  branches/2016Q1/databases/postgresql90-client/Makefile
  branches/2016Q1/databases/postgresql91-client/Makefile
  branches/2016Q1/databases/postgresql91-server/Makefile
  branches/2016Q1/databases/postgresql92-client/Makefile
  branches/2016Q1/databases/postgresql92-server/Makefile
  branches/2016Q1/databases/postgresql93-client/Makefile
  branches/2016Q1/databases/postgresql94-client/Makefile